## org.apache.axis.wsdl.toJava
Class JavaSkelWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaClassWriter
                  |
                  +--org.apache.axis.wsdl.toJava.JavaSkelWriter

All Implemented Interfaces:
  Generator

public class JavaSkelWriter
extends JavaClassWriter

This is Wsdl2java's skeleton writer. It writes the <BindingName>Skeleton.java file which contains the <bindingName>Skeleton class.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` `JavaSkelWriter(Emitter emitter, BindingEntry bEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` `getImplementsText()` Returns "implements <SEI>, org.apache.axis.wsdl.Skeleton ".
`protected void` `writeFileBody(java.io.PrintWriter pw)` Write the body of the binding's stub file.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getExtendsText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaSkelWriter

    protected JavaSkelWriter(Emitter emitter,
                             BindingEntry bEntry,
                             SymbolTable symbolTable)

  Constructor.

Method Detail

### getImplementsText

    protected java.lang.String getImplementsText()

  Returns "implements <SEI>, org.apache.axis.wsdl.Skeleton ".

  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Returns:
    ""

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the binding's stub file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
    `java.io.IOException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.